<?php

$session = $this->getSession();
$filter_html = new Yab_Filter_Html();
$pager = new Yab_Helper_Pager($croquis, 'pager_croquis');

$croquis = $pager->getStatement();

?>

<table class="table table-striped">
	<caption>Croquis</caption>
	<thead>
		<tr>
			<td><?php echo $pager->getSortLink('id'); ?></td>
			<td><?php echo $pager->getSortLink('file_name'); ?></td>
			<td><?php echo $pager->getSortLink('image'); ?></td>
			<td><?php echo $pager->getSortLink('svg'); ?></td>
			<td><?php echo $pager->getSortLink('vg'); ?></td>
			<td colspan="2">#</td>
		</tr>
	</thead>
	<tbody>
	<?php foreach($croquis as $croquis): ?>
		<tr>
			<td<?php echo $pager->getClass($croquis); ?>><?php echo $croquis->get('id', $filter_html); ?></td>
			<td<?php echo $pager->getClass($croquis); ?>><?php echo $croquis->get('file_name', $filter_html); ?></td>
			<td<?php echo $pager->getClass($croquis); ?>><?php echo $croquis->get('image', $filter_html); ?></td>
			<td<?php echo $pager->getClass($croquis); ?>><?php echo $croquis->get('svg', $filter_html); ?></td>
			<td<?php echo $pager->getClass($croquis); ?>><?php echo $croquis->get('vg', $filter_html); ?></td>
			<td<?php echo $pager->getClass($croquis); ?>><a href="<?php echo $this->getRequest('Croquis', 'edit', $croquis->getPrimary()); ?>">EDIT</a></td>
			<td<?php echo $pager->getClass($croquis); ?>><a href="<?php echo $this->getRequest('Croquis', 'delete', $croquis->getPrimary()); ?>">DELETE</a></td>
		</tr>
	<?php endforeach; ?>
	</tbody>
	<tfoot>
		<tr>
			<td colspan="7"><?php echo $pager->getPagination(); ?></td>
		</tr>
		<tr>
			<td colspan="7">
				<a href="<?php echo $this->getRequest('Croquis', 'add'); ?>">ADD</a>
				<a href="<?php echo $this->getRequest('Index', 'index'); ?>">Go back to index</a>
			</td>
		</tr>
	</tfoot>
</table>